Show / Hide Table of Contents

# Struct ImFontAtlas

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontAtlas

### Fields

| Improve this Doc View Source

#### ConfigData

##### Declaration

    public ImVector ConfigData

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### CustomRects

##### Declaration

    public ImVector CustomRects

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### Flags

##### Declaration

    public ImFontAtlasFlags Flags

##### Field Value

Type | Description
--- | ---
ImFontAtlasFlags |

| Improve this Doc View Source

#### FontBuilderFlags

##### Declaration

    public uint FontBuilderFlags

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### FontBuilderIO

##### Declaration

    public IntPtr*FontBuilderIO

##### Field Value

Type | Description
--- | ---
System.IntPtr* |

| Improve this Doc View Source

#### Fonts

##### Declaration

    public ImVector Fonts

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### Locked

##### Declaration

    public byte Locked

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### PackIdLines

##### Declaration

    public int PackIdLines

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PackIdMouseCursors

##### Declaration

    public int PackIdMouseCursors

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexDesiredWidth

##### Declaration

    public int TexDesiredWidth

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexGlyphPadding

##### Declaration

    public int TexGlyphPadding

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexHeight

##### Declaration

    public int TexHeight

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexID

##### Declaration

    public IntPtr TexID

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TexPixelsAlpha8

##### Declaration

    public byte *TexPixelsAlpha8

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### TexPixelsRGBA32

##### Declaration

    public uint *TexPixelsRGBA32

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### TexPixelsUseColors

##### Declaration

    public byte TexPixelsUseColors

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TexUvLines_0

##### Declaration

    public Vector4 TexUvLines_0

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_1

##### Declaration

    public Vector4 TexUvLines_1

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_10

##### Declaration

    public Vector4 TexUvLines_10

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_11

##### Declaration

    public Vector4 TexUvLines_11

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_12

##### Declaration

    public Vector4 TexUvLines_12

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_13

##### Declaration

    public Vector4 TexUvLines_13

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_14

##### Declaration

    public Vector4 TexUvLines_14

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_15

##### Declaration

    public Vector4 TexUvLines_15

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_16

##### Declaration

    public Vector4 TexUvLines_16

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_17

##### Declaration

    public Vector4 TexUvLines_17

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_18

##### Declaration

    public Vector4 TexUvLines_18

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_19

##### Declaration

    public Vector4 TexUvLines_19

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_2

##### Declaration

    public Vector4 TexUvLines_2

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_20

##### Declaration

    public Vector4 TexUvLines_20

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_21

##### Declaration

    public Vector4 TexUvLines_21

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_22

##### Declaration

    public Vector4 TexUvLines_22

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_23

##### Declaration

    public Vector4 TexUvLines_23

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_24

##### Declaration

    public Vector4 TexUvLines_24

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_25

##### Declaration

    public Vector4 TexUvLines_25

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_26

##### Declaration

    public Vector4 TexUvLines_26

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_27

##### Declaration

    public Vector4 TexUvLines_27

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_28

##### Declaration

    public Vector4 TexUvLines_28

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_29

##### Declaration

    public Vector4 TexUvLines_29

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_3

##### Declaration

    public Vector4 TexUvLines_3

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_30

##### Declaration

    public Vector4 TexUvLines_30

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_31

##### Declaration

    public Vector4 TexUvLines_31

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_32

##### Declaration

    public Vector4 TexUvLines_32

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_33

##### Declaration

    public Vector4 TexUvLines_33

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_34

##### Declaration

    public Vector4 TexUvLines_34

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_35

##### Declaration

    public Vector4 TexUvLines_35

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_36

##### Declaration

    public Vector4 TexUvLines_36

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_37

##### Declaration

    public Vector4 TexUvLines_37

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_38

##### Declaration

    public Vector4 TexUvLines_38

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_39

##### Declaration

    public Vector4 TexUvLines_39

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_4

##### Declaration

    public Vector4 TexUvLines_4

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_40

##### Declaration

    public Vector4 TexUvLines_40

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_41

##### Declaration

    public Vector4 TexUvLines_41

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_42

##### Declaration

    public Vector4 TexUvLines_42

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_43

##### Declaration

    public Vector4 TexUvLines_43

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_44

##### Declaration

    public Vector4 TexUvLines_44

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_45

##### Declaration

    public Vector4 TexUvLines_45

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_46

##### Declaration

    public Vector4 TexUvLines_46

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_47

##### Declaration

    public Vector4 TexUvLines_47

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_48

##### Declaration

    public Vector4 TexUvLines_48

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_49

##### Declaration

    public Vector4 TexUvLines_49

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_5

##### Declaration

    public Vector4 TexUvLines_5

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_50

##### Declaration

    public Vector4 TexUvLines_50

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_51

##### Declaration

    public Vector4 TexUvLines_51

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_52

##### Declaration

    public Vector4 TexUvLines_52

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_53

##### Declaration

    public Vector4 TexUvLines_53

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_54

##### Declaration

    public Vector4 TexUvLines_54

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_55

##### Declaration

    public Vector4 TexUvLines_55

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_56

##### Declaration

    public Vector4 TexUvLines_56

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_57

##### Declaration

    public Vector4 TexUvLines_57

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_58

##### Declaration

    public Vector4 TexUvLines_58

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_59

##### Declaration

    public Vector4 TexUvLines_59

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_6

##### Declaration

    public Vector4 TexUvLines_6

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_60

##### Declaration

    public Vector4 TexUvLines_60

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_61

##### Declaration

    public Vector4 TexUvLines_61

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_62

##### Declaration

    public Vector4 TexUvLines_62

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_63

##### Declaration

    public Vector4 TexUvLines_63

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_7

##### Declaration

    public Vector4 TexUvLines_7

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_8

##### Declaration

    public Vector4 TexUvLines_8

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvLines_9

##### Declaration

    public Vector4 TexUvLines_9

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### TexUvScale

##### Declaration

    public Vector2 TexUvScale

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### TexUvWhitePixel

##### Declaration

    public Vector2 TexUvWhitePixel

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### TexWidth

##### Declaration

    public int TexWidth

##### Field Value

Type | Description
--- | ---
System.Int32 |